Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class Row

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode
                  |
                  +--org.apache.xalan.lib.sql.Row

public class Row
extends StreamableNode

This class represents a row from a query result set. It is used over and over, and so is certainly not fully DOM complient, and will result in strange results in the stylesheet if the user is not carefull.

Constructor Summary
`Row(XStatement statement, RowSet parent)`

Method Summary
`Node` | `getFirstChild()` Return the first col element for the current row.
`Node` | `getNextSibling()` Return next row in the row-set.
`java.lang.String` | `getNodeName()` Return "row".
`Document` | `getOwnerDocument()` The parent of a row is #Document represented by XStatement).
`Node` | `getParentNode()` Return the RowSet parent.
`boolean` | `hasChildNodes()` Tell if the row Node has any children (col Nodes), which should always be true.

Methods inherited from class org.apache.xalan.lib.sql.StreamableNode
`getAttributes, getLength, getLocalName, getNamedItem, getNamedItemNS, getNamespaceURI, getNodeTest, getNodeType, getPrefix, getUid, getXStatement, item, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS, setNodeTest, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLastChild, getNodeValue, getOwnerElement, getPreviousSibling, getSpecified, getTagName, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Row

    public Row(XStatement statement,
               RowSet parent)

Method Detail

### getOwnerDocument

    public Document getOwnerDocument()

  The parent of a row is #Document represented by XStatement).
  Overrides:
    getOwnerDocument in class StreamableNode

### getNodeName

    public java.lang.String getNodeName()

  Return "row".
  Overrides:
    getNodeName in class UnImplNode

### getFirstChild

    public Node getFirstChild()

  Return the first col element for the current row.
  Overrides:
    getFirstChild in class UnImplNode

### getNextSibling

    public Node getNextSibling()

  Return next row in the row-set. Use the same Row object over and over if the row-set is streamable.
  Overrides:
    getNextSibling in class UnImplNode

### getParentNode

    public Node getParentNode()

  Return the RowSet parent.
  Overrides:
    getParentNode in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  Tell if the row Node has any children (col Nodes), which should always be true.
  Overrides:
    hasChildNodes in class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.